de.vc.jfo.attributes

## Class Accessibility

- java.lang.Object
- - de.vc.jfo.attributes.AttributeSubSet
  - - de.vc.jfo.attributes.Accessibility

- All Implemented Interfaces:
    java.lang.Cloneable

      public class Accessibility
      extends AttributeSubSet

  Accessibility provides informations about accessibility of fo.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `KEY_SET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Accessibility()`
    `Accessibility(java.lang.String role, java.lang.String source)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAttribute(int keyIdx)`
    `java.lang.String` | `getRole()` Gets the role of fo.
    `java.lang.String` | `getSourceDocument()` Gets the source of fo.
    `void` | `setRole(java.lang.String role)` Sets the role of fo.
    `void` | `setSourceDocument(java.lang.String source)` Sets the source of fo.

    - ### Methods inherited from class de.vc.jfo.attributes.AttributeSubSet

      `addDefinedAttributes, applyAttributes, clone, isMutable, makeImmutable, setAttribute`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_SET

          public static final java.lang.String[] KEY_SET

  - ### Constructor Detail

    - #### Accessibility

          public Accessibility()

    - #### Accessibility

          public Accessibility(java.lang.String role,
                       java.lang.String source)

  - ### Method Detail

    - #### getRole

          public java.lang.String getRole()

      Gets the role of fo.
      Returns:
        Role.

    - #### setRole

          public void setRole(java.lang.String role)

      Sets the role of fo.
      Parameters:
        `role` - Role.

    - #### getSourceDocument

          public java.lang.String getSourceDocument()

      Gets the source of fo. It's a pointer back to the original XML document(s) used to create this formatting object tree.
      Returns:
        Source.

    - #### setSourceDocument

          public void setSourceDocument(java.lang.String source)

      Sets the source of fo.
      Parameters:
        `source` - Source document.

    - #### getAttribute

          public java.lang.Object getAttribute(int keyIdx)

      Specified by:
        `getAttribute` in class `AttributeSubSet`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.